package io.invertase.firebase.admob;

import com.google.android.gms.ads.LoadAdError;

public interface AdMobBannerListener {
    void onAdLoaded(AdMobView view);

    void onAdFailedToLoad(AdMobView view, LoadAdError loadAdError);

    void onAdOpened(AdMobView view);

    void onAdClosed(AdMobView view);

    void onAdClicked(AdMobView view);

    void onAdImpression(AdMobView view);
}
