import { NativeEventEmitter, NativeModules } from "react-native";
class AdMobEventEmitter extends NativeEventEmitter {
  addListener(eventType, listener, context) {
    return super.addListener(`rnfb_${eventType}`, listener, context);
  }
  removeAllListeners(eventType) {
    super.removeAllListeners(`rnfb_${eventType}`);
  }
  removeSubscription(subscription) {
    super.removeSubscription(subscription);
  }
}
export default new AdMobEventEmitter();
//# sourceMappingURL=AdMobEventEmitter.js.map