import { Platform } from "react-native";
export * from "./validate";
export function isError(value) {
  if (Object.prototype.toString.call(value) === "[object Error]") {
    return true;
  }
  return value instanceof Error;
}
export function hasOwnProperty(target, property) {
  return Object.hasOwnProperty.call(target, property);
}
export const isIOS = Platform.OS === "ios";
export const isAndroid = Platform.OS === "android";
//# sourceMappingURL=index.js.map